curl --request POST \
--url https://api.sandbox.isometric.com/registry/v0/deliveries \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-client-secret: <x-client-secret>' \
--data '
{
"credit_batch_quantities": [
{
"credit_batch_id": "ctb_1DRBTYA8Q1S07CBY",
"credit_quantity_kg": 123
}
],
"notes": "Delivered with care.",
"order_id": "ord_1FAN3S3WV1S0B842"
}
'import requests
url = "https://api.sandbox.isometric.com/registry/v0/deliveries"
payload = {
"credit_batch_quantities": [
{
"credit_batch_id": "ctb_1DRBTYA8Q1S07CBY",
"credit_quantity_kg": 123
}
],
"notes": "Delivered with care.",
"order_id": "ord_1FAN3S3WV1S0B842"
}
headers = {
"x-client-secret": "<x-client-secret>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-client-secret': '<x-client-secret>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
credit_batch_quantities: [{credit_batch_id: 'ctb_1DRBTYA8Q1S07CBY', credit_quantity_kg: 123}],
notes: 'Delivered with care.',
order_id: 'ord_1FAN3S3WV1S0B842'
})
};
fetch('https://api.sandbox.isometric.com/registry/v0/deliveries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"credit_batch_size_total": {
"credit_kgs": 123,
"credits": 123
},
"delivered_at": "2023-11-07T05:31:56Z",
"from_supplier": {
"id": "spl_1CC712KFS1S0YKPS",
"location": {
"country_code": "<string>",
"country_name": "<string>",
"latitude": 0,
"longitude": 0,
"description": "<string>"
},
"long_description": "<string>",
"organisation": {
"domain": "isometric.com",
"id": "org_1GB56M1ST1S0GVNA",
"name": "<string>"
},
"short_description": "<string>"
},
"id": "dlv_1C454ZXA61S03Z9T",
"notes": "Delivered with care.",
"order_id": "ord_1FAN3S3WV1S0B842",
"to_organisation": {
"domain": "isometric.com",
"id": "org_1GB56M1ST1S0GVNA",
"name": "<string>"
},
"url": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}Create Delivery
Create a delivery against an order.
Authorizations
A JWT Bearer token header for authentication and authorization, in the format Authorization: Bearer <token>
Headers
A secret token identifying the client connecting to the API
"Syou3EZiO5vuMEgNyBeA8cjEMYOnQDwP"
Body
A list of credit batch IDs and kilogram amounts of each to deliver.
1Show child attributes
Show child attributes
A publicly visible note stored with the credit delivery.
256"Delivered with care."
The ID of the order you wish to fulfil with the specified credit batch amounts.
20 - 37"ord_1FAN3S3WV1S0B842"
"ord_1DBVRQDHBSBXWBWP"
Response
Successful Response
Show child attributes
Show child attributes
Show child attributes
Show child attributes
20 - 37"dlv_1C454ZXA61S03Z9T"
"dlv_1FAGG2H2PSBXHGYY"
A publicly visible note stored with the credit delivery.
256"Delivered with care."
20 - 37"ord_1FAN3S3WV1S0B842"
"ord_1DBVRQDHBSBXWBWP"
Show child attributes
Show child attributes
Was this page helpful?